package it.unibo.cs.lbedogni.sensors;

import java.util.List;

import android.app.Activity;
import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.widget.TextView;

public class SensorsActivity extends Activity implements SensorEventListener {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        SensorManager sm = (SensorManager)getSystemService(Context.SENSOR_SERVICE);
        List<Sensor> ls = sm.getSensorList(Sensor.TYPE_ALL);
        TextView tv = (TextView)findViewById(R.id.tv);
        
        Sensor sensorLight = sm.getDefaultSensor(Sensor.TYPE_LIGHT); 
        sm.registerListener(this, sensorLight, SensorManager.SENSOR_DELAY_FASTEST);
        
        Sensor sensorAcc = sm.getDefaultSensor(Sensor.TYPE_ACCELEROMETER); 
        sm.registerListener(this, sensorAcc, SensorManager.SENSOR_DELAY_FASTEST);
        
        tv.setText("");
        
        for (int i = 0; i < ls.size(); i++) {
        	tv.setText(tv.getText() + "\n" + ls.get(i).getName());
        }
    }

    public void onAccuracyChanged(Sensor sensor, int accuracy) {
		// TODO Auto-generated method stub
		
	}

	public void onSensorChanged(SensorEvent event) {
		if (event.sensor.getType() == Sensor.TYPE_LIGHT) {
			TextView tv = (TextView)findViewById(R.id.tvLight);
			tv.setText("Light: " + event.values[0]);
		} else if (event.sensor.getType() == Sensor.TYPE_ACCELEROMETER) {
			TextView tv = (TextView)findViewById(R.id.tvValues);
			tv.setText("Accell: " + event.values[0]);
			tv.setText(tv.getText() + "\nAccell: " + event.values[1]);
			tv.setText(tv.getText() + "\nAccell: " + event.values[2]);
		}
	}
}